
create table AddressBook (
	id		int not null,
	categoryId		int not null,
	registrant	int not null,
	firstName	varchar(50),
	lastName	varchar(50),
	firstSpell	varchar(50),
	lastSpell	varchar(50),
	displayName	varchar(100),
	primary key(id));

create table AddressBook_Address (
	id		int not null,
	addressBookId		int not null,
	addressId		int not null,
	primary key(id));

create table AddressBook_EmailAddress (
	id		int not null,
	addressBookId		int not null,
	emailAddressId		int not null,
	primary key(id));

create table AddressBook_Telephone (
	id		int not null,
	addressBookId		int not null,
	telephoneId			int not null,
	primary key(id));

create table AddressCategory (
	id		int not null,
	registrant	int not null,
	name	varchar(100),
	primary key(id));
	